component_wise.hpp File Reference

Go to the source code of this file.

## Functions

template<typename genType >
GLM_FUNC_DECL genType::value_type | compAdd (genType const &v)
template<typename genType >
GLM_FUNC_DECL genType::value_type | compMax (genType const &v)
template<typename genType >
GLM_FUNC_DECL genType::value_type | compMin (genType const &v)
template<typename genType >
GLM_FUNC_DECL genType::value_type | compMul (genType const &v)
template<typename floatType , typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< floatType, P > | compNormalize (vecType< T, P > const &v)
template<typename T , typename floatType , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | compScale (vecType< floatType, P > const &v)

## Detailed Description

GLM_GTX_component_wise

Date
  2007-05-21 / 2011-06-07

Author
  Christophe Riccio

See also
  GLM Core (dependence)

Definition in file component_wise.hpp.